Apache Tomcat 6.0.32

## org.apache.catalina.tribes.group.interceptors
Class TcpPingInterceptor.PingThread

    java.lang.Object
      java.lang.Thread
          org.apache.catalina.tribes.group.interceptors.TcpPingInterceptor.PingThread

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  TcpPingInterceptor

    protected class TcpPingInterceptor.PingThread

extends java.lang.Thread

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`protected` `TcpPingInterceptor.PingThread()`

Method Summary
`void` `run()`

Methods inherited from class java.lang.Thread

`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TcpPingInterceptor.PingThread

    protected TcpPingInterceptor.PingThread()

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`
  Overrides:
    `run` in class `java.lang.Thread`

Apache Tomcat 6.0.32

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.